# cadastro-orama
API de Criação de Contas.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import cadastro_orama 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import cadastro_orama
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import cadastro_orama
from cadastro_orama.rest import ApiException
from pprint import pprint

configuration = cadastro_orama.Configuration()
# Configure API key authorization: Api-Key
configuration.api_key['X-Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Api-Key'] = 'Bearer'

# Defining host is optional and default to https://cadastro.orama.com.br/api/contas/v1.0
configuration.host = "https://cadastro.orama.com.br/api/contas/v1.0"
# Create an instance of the API class
api_instance = cadastro_orama.DevelopersApi(cadastro_orama.ApiClient(configuration))
login_senha_objeto = cadastro_orama.LoginSenhaObjeto() # LoginSenhaObjeto | Dados para criação do login

try:
    # Cria um login para usuário.
    api_response = api_instance.account_identificacao_parceiro_post(login_senha_objeto)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DevelopersApi->account_identificacao_parceiro_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://cadastro.orama.com.br/api/contas/v1.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DevelopersApi* | [**account_identificacao_parceiro_post**](docs/DevelopersApi.md#account_identificacao_parceiro_post) | **POST** /identificacao-parceiro/ | Cria um login para usuário.
*UsersApi* | [**account_autenticacao_post**](docs/UsersApi.md#account_autenticacao_post) | **POST** /autenticacao/ | Autentica um usuário que ainda não é cliente.
*UsersApi* | [**account_documento_confirmacao_get**](docs/UsersApi.md#account_documento_confirmacao_get) | **GET** /perfil/{cpf}/documento/confirmacao/ | Consulta o status de confirmação do documento que foi submetido
*UsersApi* | [**account_documento_put**](docs/UsersApi.md#account_documento_put) | **PUT** /perfil/{cpf}/documento/ | Anexa ou atualiza documento para conferencia de autenticidade do perfil.
*UsersApi* | [**account_identificacao_post**](docs/UsersApi.md#account_identificacao_post) | **POST** /identificacao/ | Cria um login para usuário.
*UsersApi* | [**account_perfil_aprovacao_get**](docs/UsersApi.md#account_perfil_aprovacao_get) | **GET** /perfil/{cpf}/aprovacao/ | Retorna o estado de aprovação de um perfil
*UsersApi* | [**account_perfil_celular_autenticacao_confirmacao_get**](docs/UsersApi.md#account_perfil_celular_autenticacao_confirmacao_get) | **GET** /perfil/{cpf}/celular/autenticacao/confirmacao/ | Estado atual de confirmação do celular
*UsersApi* | [**account_perfil_celular_autenticacao_post**](docs/UsersApi.md#account_perfil_celular_autenticacao_post) | **POST** /perfil/{cpf}/celular/autenticacao/ | Gera um código para iniciar o processo de validação do número do celular
*UsersApi* | [**account_perfil_celular_confirmacao_post**](docs/UsersApi.md#account_perfil_celular_confirmacao_post) | **POST** /perfil/{cpf}/celular/autenticacao/confirmacao/ | Confirma o numero de celular, concluindo a validação
*UsersApi* | [**account_perfil_email_autenticacao_confirmacao_get**](docs/UsersApi.md#account_perfil_email_autenticacao_confirmacao_get) | **GET** /perfil/{cpf}/email/autenticacao/confirmacao/ | Estado atual de confirmação do email
*UsersApi* | [**account_perfil_email_autenticacao_post**](docs/UsersApi.md#account_perfil_email_autenticacao_post) | **POST** /perfil/{cpf}/email/autenticacao/ | Gera um código para iniciar o processo de validação do email
*UsersApi* | [**account_perfil_email_confirmacao_post**](docs/UsersApi.md#account_perfil_email_confirmacao_post) | **POST** /perfil/{cpf}/email/autenticacao/confirmacao/ | Confirma o email, concluindo a validação
*UsersApi* | [**account_perfil_get**](docs/UsersApi.md#account_perfil_get) | **GET** /perfil/{cpf}/ | Retorna o perfil de um usuário que ainda não foi transformado em cliente.
*UsersApi* | [**account_perfil_post**](docs/UsersApi.md#account_perfil_post) | **POST** /perfil/{cpf}/ | Submete o perfil de usuário associado a um login para ser criado como cliente.
*UsersApi* | [**account_perfil_put**](docs/UsersApi.md#account_perfil_put) | **PUT** /perfil/{cpf}/ | Atualiza perfil para criação de conta.
*UsersApi* | [**account_perfil_submetido_get**](docs/UsersApi.md#account_perfil_submetido_get) | **GET** /perfil/{cpf}/submetido/ | Retorna o estado de submissão de um perfil


## Documentation For Models

 - [Aprovacao](docs/Aprovacao.md)
 - [AutenticacaoCodigoObjeto](docs/AutenticacaoCodigoObjeto.md)
 - [AutenticacaoObjeto](docs/AutenticacaoObjeto.md)
 - [Confirmado](docs/Confirmado.md)
 - [ContaBancaria](docs/ContaBancaria.md)
 - [DadosPatrimonial](docs/DadosPatrimonial.md)
 - [DadosProfissionais](docs/DadosProfissionais.md)
 - [Documento](docs/Documento.md)
 - [DocumentoCorpo](docs/DocumentoCorpo.md)
 - [Endereco](docs/Endereco.md)
 - [Erro](docs/Erro.md)
 - [FrontEndStep](docs/FrontEndStep.md)
 - [ListaPerfilUsuario](docs/ListaPerfilUsuario.md)
 - [LoginCriado](docs/LoginCriado.md)
 - [LoginObjeto](docs/LoginObjeto.md)
 - [LoginSenhaObjeto](docs/LoginSenhaObjeto.md)
 - [PerfilUsuario](docs/PerfilUsuario.md)
 - [Submetido](docs/Submetido.md)
 - [UsuarioSenhaObjeto](docs/UsuarioSenhaObjeto.md)


## Documentation For Authorization


## Api-Key

- **Type**: API key
- **API key parameter name**: X-Api-Key
- **Location**: HTTP header


## JWT

- **Type**: Bearer authentication (JWT)


## Author

cadastro_api@orama.com.br


